Bug 253889 - kdm_greet login screen is a little off
kdm_greet login screen is a little off
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedorainfinity-kdm-theme (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
: 372201 373911 375311 386811 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-22 13:46 EDT by Orion Poplawski
Modified: 2008-11-26 05:27 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 05:27:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kdm login screen (162.98 KB, image/jpeg)
2007-11-01 06:05 EDT, Ntounas Alexios
no flags Details
xorg log for dual head (1280x800 laptop and 1280x1024 desktop) (176.38 KB, application/octet-stream)
2007-11-12 09:12 EST, milady
no flags Details
xorg log before executing xrandr to get a spanning desktop (118.76 KB, application/octet-stream)
2007-11-12 09:19 EST, milady
no flags Details
Laurent Rineau's xorg.conf, a default one (created by system-config-display) but "nvidia" instead of "nv". (1.44 KB, text/plain)
2007-11-13 01:50 EST, Laurent Rineau
no flags Details
Laurent Rineau's Xorg.0.log. See attachment #256421, which is the corresponding xorg.conf. (27.51 KB, text/plain)
2007-11-13 01:53 EST, Laurent Rineau
no flags Details
xorg log with laptop off dock (default config) (47.45 KB, application/octet-stream)
2007-11-13 04:38 EST, milady
no flags Details

  None (edit)
Description Orion Poplawski 2007-08-22 13:46:35 EDT
Description of problem:

Running in 1600x1200 resolution, the kdm_greet login screen "Username" and
"Password" strings are hard to read and are partially covered by the text entry
boxes to the right of them.
 
Looks fine on a different machine running at 1024x768.  Haven't tried other
machines/resolutions.

Version-Release number of selected component (if applicable):
kdebase-3.5.7-13.fc8
Comment 1 Rex Dieter 2007-08-22 14:52:38 EDT
Reassigning redhat-artwork...
Comment 2 Ntounas Alexios 2007-11-01 06:05:34 EDT
Created attachment 245421 [details]
kdm login screen
Comment 3 Ntounas Alexios 2007-11-01 06:56:36 EDT
The kde greet login is still a little off in resolution 1280x800.

[axel@aeris ~]$ rpm -q kdebase
kdebase-3.5.8-5.fc8
[axel@aeris ~]$ rpm -qa|grep kdm
kdmtheme-1.1.3-2.fc8
fedorainfinity-kdm-theme-1.0.1-1.fc8
kde-settings-kdm-3.5-34.fc8

Morevoer although all system menus are in English, in kdm login screen
everything is in Greek which is my second keyboard layout.
Comment 4 Rex Dieter 2007-11-01 07:44:21 EDT
I see this too, but too a much lesser degree (1440x960 resolution).  Certainly
has something to do with resolution and dimensions.  

Ntounas (and Orion if you're still seeing this), what resolution/dimensions is
your screen?
Comment 5 Kevin Kofler 2007-11-01 09:52:57 EDT
There's always some resolution dependency in KDM themes. :-(

I tested the theme with Xnest in 640×480, 800×600, 1024×768 and I think also 
1280×1024 (that's the native resolution I'm running at), and it looked right in 
all of these, but I guess I should have tried an even higher resolution and a 
widescreen one. It's too late for f8-final, but I'll see what I can do for 
updates.

I'm not sure the errors in comment #2 and comment #4 are the same: In the 
screenshot from comment #2, it looks like the problem is that the Greek 
translations of "username" and "password" are very long, whereas in Rex 
Dieter's case it's probably the widescreen resolution.
Comment 6 Ntounas Alexios 2007-11-01 10:39:19 EDT
My resolution is widescreen 1280x800.

It could be the length of the greek translations that is causing this problem.

However as I said before I don't use Greek as my main System's language. I use
Greek only as a second keyboard layout. So I believe that kdm should appear in
English, right..?
Comment 7 Laurent Rineau 2007-11-08 12:57:50 EST
I have the same bug as others (comment #3, attachment #245421 [details]), on 1920×1200 
screen.
Comment 8 Kevin Kofler 2007-11-08 13:11:54 EST
Yeah, that's widescreen too. Shame on me for not having tested any widescreen 
resolution. :-(
Comment 9 Egon Kastelijn 2007-11-12 06:33:13 EST
This looks the same as bug 373911
Comment 10 Laurent Rineau 2007-11-12 06:54:49 EST
(In reply to comment #7)
> I have the same bug as others (comment #3, attachment #245421 [details] [edit]), on 
1920×1200 
> screen.

I accidentally booted with nv, instead of Livna's nvidia driver, and I was 
surprised to see the bug fixed. It is strange.

lrineau@schtroumpf ~ $ sudo grep DPI -i /var/log/Xorg.0.log*
/var/log/Xorg.0.log:(--) NVIDIA(0): DPI set to (147, 145); computed 
from "UseEdidDpi" X config
/var/log/Xorg.0.log.old:(==) NV(0): DPI set to (100, 100)

/var/log/Xorg.0.log is the execution with the propriotary "nvidia" 
driver. /var/log/Xorg.0.log.old is the execution with the free "nv" driver. My 
real DPI set is (147, 145): "nvidia" is right, and "nv" is wrong. It seems 
that KDM displays nicely, when the X11 server gives the wrong DPI set 
(100,100).

Dups: bug #373911, bug #372201, bug #375311.
Comment 11 Kevin Kofler 2007-11-12 07:25:00 EST
*** Bug 373911 has been marked as a duplicate of this bug. ***
Comment 12 Kevin Kofler 2007-11-12 07:25:51 EST
*** Bug 372201 has been marked as a duplicate of this bug. ***
Comment 13 Kevin Kofler 2007-11-12 07:26:44 EST
*** Bug 375311 has been marked as a duplicate of this bug. ***
Comment 14 Kevin Kofler 2007-11-12 07:29:35 EST
So it looks like the DPI settings are the actual problem. I have the classical 
96 dpi, so I'm not surprised it works with 100 dpi.
Comment 15 Alexei Podtelezhnikov 2007-11-12 08:25:53 EST
We need to have a couple of broken /var/log/Xorg.0.log *attached* here to see 
what resolution and DPI gets set with the default xorg.conf, since this is 
what is broken, not the theme.

Then you might want to play with xorg.conf explicitly setting correct values 
for Modes, DPI, DisplaySize, UseEdidDpi, etc. You should be able to find a 
good option that will force it to work correctly for you.
Comment 16 milady 2007-11-12 09:12:59 EST
Created attachment 255231 [details]
xorg log for dual head (1280x800 laptop and 1280x1024 desktop)
Comment 17 milady 2007-11-12 09:14:51 EST
Here is the output from xdpyinfo:

# xdpyinfo | grep -B1 dot
  dimensions:    1280x1824 pixels (260x370 millimeters)
  resolution:    125x125 dots per inch

I'm using xrandr to have spanning desktops, but only after logging in to a KDE
session.
Comment 18 milady 2007-11-12 09:19:00 EST
Created attachment 255241 [details]
xorg log before executing xrandr to get a spanning desktop
Comment 19 milady 2007-11-12 09:20:02 EST
And finally, here's the output from xdpyinfo before the execution of xrandr:

$ xdpyinfo | grep -B1 dot
  dimensions:    1280x1024 pixels (261x208 millimeters)
  resolution:    125x125 dots per inch
Comment 20 Laurent Rineau 2007-11-12 09:30:02 EST
(In reply to comment #15)
> We need to have a couple of broken /var/log/Xorg.0.log *attached* here to 
see 
> what resolution and DPI gets set with the default xorg.conf, since this is 
> what is broken, not the theme.

On my machine, kdm_greeter is wrong if and only if the DPI setting is right. 
What let you think that it is my xorg.conf that is wrong?
Comment 21 Alexei Podtelezhnikov 2007-11-12 10:44:04 EST
Laurent,

I didn't say your xorg.conf is wrong. I suspect that the driver is not able to 
determine correct resolution *and* DPI based on your default xorg.conf. To see 
how KDM screen is set, we need to see the log file.

Don't you find it strange that nv and nvidia set DPI differently? You didn't 
report how they set resolution, btw. Both of this parameters have to be set 
correctly (or at least proportionally) for KDM to look reasonably well.   

milady's case with dualhead is kind of too much. Can we please see Xorg.0.log 
with default xorg.conf. Customized xorg.conf cases are less generic and, 
therefore, less interesting. 
Comment 22 Kevin Kofler 2007-11-12 10:59:25 EST
The DPI setting itself is not the problem, the fact that the KDM theme can't 
cope with it is.
Comment 23 Laurent Rineau 2007-11-12 11:18:17 EST
(In reply to comment #21)
> Laurent,
> 
> I didn't say your xorg.conf is wrong. I suspect that the driver is not able 
to 
> determine correct resolution *and* DPI based on your default xorg.conf. To 
see 
> how KDM screen is set, we need to see the log file.

Alright.

> Don't you find it strange that nv and nvidia set DPI differently?

"nv" seems buggy, here.

> You didn't 
> report how they set resolution, btw.

The same (1920×1200) with both "nv" and "nvidia". Only the DPI is different.

I can attach my Xorg.0.log files if you want. What do you mean by "default" 
xorg.conf, actually?
Comment 24 Alexei Podtelezhnikov 2007-11-12 11:30:34 EST
Default, untouched, the one that comes with fresh installation, whatever you 
want to call it. As far as I know, xorg.conf that you get after fresh install 
is pretty empty. Most on the stuff the driver is supposed to get from EDID, 
rather than xorg.conf - so it gets it wrong sometimes.

You said "nv seems buggy", yet the screen looks looks better for you :)
Which is it? :) To me DPI of about 150 with nvidia is waaaaay too good to be 
true. Ho much did you pay for this screen? :) nv's 100 is more believable. Can 
you double check? So nvidia gets it wrong in my opinion.

Comment 25 Laurent Rineau 2007-11-12 13:09:11 EST
(In reply to comment #24)
> You said "nv seems buggy", yet the screen looks looks better for you :)
> Which is it? :) To me DPI of about 150 with nvidia is waaaaay too good to be 
> true. Ho much did you pay for this screen? :) nv's 100 is more believable. 
Can 
> you double check? So nvidia gets it wrong in my opinion.

My physical screen (a laptop's LCD) is 13.1×8.3" (15.4" diagonal).  My 
resolution is 1920×1200. I let you compute the divisions. My laptop is a Dell 
Latitude D830, with a WUXGA LCD. Laptop's DPIs are _usually_ far better from 
external screens.

As I said, "nvidia" is right, "nv" is wrong, my DPI set *is* about 147x145.


Anyway, the real problem is that fedorainfinity-kdm-theme does not display 
nicely, if the X11 server gives DPI=147x145 and resolution=1920×1200. I do not 
see the need to check and recheck my X11 configuration.
Comment 26 Alexei Podtelezhnikov 2007-11-12 14:20:07 EST
To convince me, just post Xorg.o.log.
Comment 27 milady 2007-11-12 15:56:13 EST
I will undock and auto-reconfigure my laptop tomorrow and post the log for you.
This way you'll have a simple example. Sorry about the dual head, I had a hunch
it was a bit more complicated, but I didn't think it was not useable...
Comment 28 Kevin Kofler 2007-11-12 16:44:04 EST
Folks, I think we really don't need any Xorg logs here. The theme looks like 
crap with high dpi settings, so we need to fix this, I don't think the Xorg 
logs will give us any more information than what we know already.
Comment 29 Alexei Podtelezhnikov 2007-11-12 19:39:09 EST
Kevin, it has nothing to do with high resolution! What about bug 373911 and 
big 375311, where the resolution is average 1280x800 on Intel 945GM ? Note 
that on my Intel 965GM at the same resolution 1280x800, it looks great.

So the issue is only on Intel 945GM and some NVIDIA, as far as I can see.

It is a driver issue or EDID issue. So Xorg.0.log would be very helpful.
Comment 30 Kevin Kofler 2007-11-12 19:45:09 EST
DPI is not the same as resolution.
Comment 31 Alexei Podtelezhnikov 2007-11-12 20:38:05 EST
That is why I said that it has nothing to do with resolution. ;)
The bottom line is that the theme may not be broken after all. 
Comment 32 Laurent Rineau 2007-11-13 01:50:46 EST
Created attachment 256421 [details]
Laurent Rineau's xorg.conf, a default one (created by system-config-display) but "nvidia" instead of "nv".
Comment 33 Laurent Rineau 2007-11-13 01:53:47 EST
Created attachment 256431 [details]
Laurent Rineau's Xorg.0.log. See attachment #256421 [details], which is the corresponding xorg.conf.

(In reply to comment #28)
> Folks, I think we really don't need any Xorg logs here. The theme looks like 

> crap with high dpi settings, so we need to fix this, I don't think the Xorg 
> logs will give us any more information than what we know already.

Here is my Xorg.0.log, just in case. I agree that it has nothing to do with the
bug.
Comment 34 milady 2007-11-13 04:38:59 EST
Created attachment 256721 [details]
xorg log with laptop off dock (default config)
Comment 35 Alexei Podtelezhnikov 2007-11-13 08:43:40 EST
From milady's log, on Intel 945GM, DPI is wrongly set to 100x100 instead of 
more appropriate 125x125 for the given screen. Could this cause this bug on 
Intel 945GM.

Admittedly, NVIDIA sets everything correctly. So this could be a separate 
theme issue with high DPI, indeed.

 
Comment 36 Kevin Kofler 2007-11-16 09:20:04 EST
*** Bug 386811 has been marked as a duplicate of this bug. ***
Comment 37 Bug Zapper 2008-04-04 09:39:52 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 38 Kevin Kofler 2008-04-04 10:17:48 EDT
Yes, this is a Fedora 8 issue, the package no longer exists in Fedora 9 and 
later.
Comment 39 Bug Zapper 2008-11-26 02:42:22 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 40 Kevin Kofler 2008-11-26 05:27:15 EST
fedorainfinity-kdm-theme does not exist in F9 or higher (not compatible with the KDE 4 KDM).

Note You need to log in before you can comment on or make changes to this bug.